<?php
/*-------------------------------------------------------+
| NEWS TICKER PANEL V8.0
+--------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."news_ticker_panel/locale/".LANGUAGE.".php")) {
	include_once(INFUSIONS."news_ticker_panel/locale/".LANGUAGE.".php");
} else {
	include_once(INFUSIONS."news_ticker_panel/locale/German.php");
}

// Infusion general information
$inf_title = $locale['NTP_title'];
$inf_description = $locale['NTP_desc'];
$inf_version = "8.0";
$inf_developer = "MarcusG - Original by Edan Boy Atun Pedragosa alias HACKERSOFT";
$inf_email = "";
$inf_weburl = "http://www.marcusg.de";

$inf_folder = "news_ticker_panel"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "news_ticker_panel_admin.php"; // The admin panel filename if required.

$inf_link_name = ""; // if not required replace $locale['xxx103']; with "";
$inf_link_url = ""; // The filename you wish to link to.
$inf_link_visibility = "101"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 1; // Number of new db tables to create or drop.
$inf_insertdbrows = 1; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 1; // Number of db tables to delete data from.

// Delete any items not required below.
$inf_newtable_[1] = "newstickerpanel_settings (
   newsmaxitems tinyint(2) unsigned NOT NULL DEFAULT '0',
   animtype varchar(5) NOT NULL default '',
   animspeed smallint(5) NOT NULL default '',
   animtimeout smallint(5) NOT NULL DEFAULT '0',
   animorder varchar(20) NOT NULL default ''
) TYPE=MyISAM;";

$inf_insertdbrow_[1] = "newstickerpanel_settings (newsmaxitems, animtype, animspeed, animtimeout, animorder) VALUES('7', 'slide', '1000', '5000', 'sequence')";

$inf_droptable_[1] = "newstickerpanel_settings";

?>