<?php
/*-------------------------------------------------------+
| NEWS TICKER PANEL V8.0
+--------------------------------------------------------+
| by Edan Boy Atun Pedragosa alias HACKERSOFT
| Web: http://hackersoft.thruhere.net
| edited by ZOC for BSFusion, 12.2009
| MOD by MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."news_ticker_panel/locale/".LANGUAGE.".php")) {
	include_once(INFUSIONS."news_ticker_panel/locale/".LANGUAGE.".php");
} else {
	include_once(INFUSIONS."news_ticker_panel/locale/German.php");
}

$ntpsettings = dbarray(dbquery("SELECT * FROM ".$db_prefix."newstickerpanel_settings"));

$NewsItemMax = $ntpsettings['newsmaxitems'];
$AnimationType = $ntpsettings['animtype'];
$AnimationSpeed = $ntpsettings['animspeed'];
$AnimationTimeout = $ntpsettings['animtimeout'];
$AnimationOrder = $ntpsettings['animorder'];

$rows = dbcount("(news_id)", "news", groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().")");
if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
if ($rows) {
	$result = dbquery(
		"SELECT tn.*, tc.*, user_id, user_name FROM ".$db_prefix."news tn
		LEFT JOIN ".$db_prefix."users tu ON tn.news_name=tu.user_id
		LEFT JOIN ".$db_prefix."news_cats tc ON tn.news_cat=tc.news_cat_id
		WHERE ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().")
		ORDER BY news_sticky DESC, news_datestamp DESC LIMIT ".$_GET['rowstart']."," . $NewsItemMax
	);
	$numrows = dbrows($result);
	$count = 0; 
	$NewsItems = '';
	while ($data = dbarray($result)) {
		$NewsItems .= "<li style='".($count == 0 ? "" : "display:none;")."'><a href='".BASEDIR."news.php?readmore=".$data['news_id']."'><i>" . showdate("%d.%m.%Y - %H:%M:%S ", $data['news_datestamp']) . "</i> - <b>" .  $data['news_subject'] . "</b></a></li>";
		$count = 1;
	}
}

opentable($locale['NTP_000']);
echo "<ul id='news_ticker' style='display:block; list-style-type: none; padding: 3px; margin: 0; font-size: 14px;'>".$NewsItems."</ul>";
/*
if(iADMIN){
echo "<div align='right'><a href='".INFUSIONS."news_ticker_panel/news_ticker_panel_admin.php".$aidlink."'><span class='small'>".$locale['NTP_admin1']."</span></a></div>";
}
*/
closetable();

echo "<script language='JavaScript' type='text/javascript' src='".INFUSIONS."news_ticker_panel/scripts/jquery.js'></script>";
echo "<script language='JavaScript' type='text/javascript' src='".INFUSIONS."news_ticker_panel/scripts/jquery.innerfade.js'></script>";
echo "<script language='JavaScript' type='text/javascript'>$('ul#news_ticker').innerfade({
						animationtype: '".$AnimationType."',
						speed: ".$AnimationSpeed.",
						timeout: ".$AnimationTimeout.",
						type: '".$AnimationOrder."',
						containerheight: '18px'
					});
	</script>";
?>