<?php
/*-------------------------------------------------------+
| NEWS TICKER PANEL V8.0
+--------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: news_ticker_panel_admin.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."news_ticker_panel/locale/".LANGUAGE.".php")) {
	include_once(INFUSIONS."news_ticker_panel/locale/".LANGUAGE.".php");
} else {
	include_once(INFUSIONS."news_ticker_panel/locale/German.php");
}

if (isset($_GET['settings_saved'])){
opentable($locale['NTP_013']);
echo "<center>".$locale['NTP_014']."<br /><center>";
closetable();
}


if (isset($_GET['reset'])){
opentable($locale['NTP_016']);
echo "<center>".$locale['NTP_017']."<br /><center>";
closetable();
}

opentable($locale['NTP_admin1']);
$ntpsettings = dbarray(dbquery("SELECT newsmaxitems, animtype, animspeed, animtimeout, animorder FROM ".$db_prefix."newstickerpanel_settings"));

if (isset($_POST['save'])){
       	$newsmaxitems = stripinput($_POST['newsmaxitems']);
       	$animtype = stripinput($_POST['animtype']);
       	$animspeed = stripinput($_POST['animspeed']);
       	$animtimeout = stripinput($_POST['animtimeout']);
		$animorder = stripinput($_POST['animorder']);
     
      $result = dbquery("UPDATE ".$db_prefix."newstickerpanel_settings SET newsmaxitems='".$newsmaxitems."', animtype='".$animtype."', animspeed='".$animspeed."', animtimeout='".$animtimeout."', animorder='".$animorder."'");
      redirect(FUSION_SELF.$aidlink."&settings_saved=true"); 
	}
	
if (isset($_POST['reset'])){
       	$newsmaxitems = 7;
       	$animtype = "slide";
       	$animspeed = 1000;
       	$animtimeout = 5000;
		$animorder = "sequence";
     
	$result = dbquery("UPDATE ".$db_prefix."newstickerpanel_settings SET newsmaxitems='".$newsmaxitems."', animtype='".$animtype."', animspeed='".$animspeed."', animtimeout='".$animtimeout."', animorder='".$animorder."'");
	redirect(FUSION_SELF.$aidlink."&reset=true"); 
}

echo "<form action='".FUSION_SELF.$aidlink."' method='post'>";
echo "<table align='left' cellspacing='5' cellpadding='2'>";
echo "<tr><td class='tb2' align='left' colspan='3'><b>".$locale['NTP_001']."</b></td></tr>";
echo "<tr><td align='left'>".$locale['NTP_002']."</td><td>";

echo "<select name='newsmaxitems' size='1' class='textbox'>
<option".($ntpsettings['newsmaxitems'] == 5 ? " selected" : "").">5</option>
<option".($ntpsettings['newsmaxitems'] == 7 ? " selected" : "").">7</option>
<option".($ntpsettings['newsmaxitems'] == 10 ? " selected" : "").">10</option>
<option".($ntpsettings['newsmaxitems'] == 15 ? " selected" : "").">15</option>
<option".($ntpsettings['newsmaxitems'] == 20 ? " selected" : "").">20</option>
</select></td><td><i>".$locale['NTP_003']." (default:<span style='color:blue;'> 7 </span>)</i></td></tr>";


/*
echo "<select name='newsmaxitems' size='1' class='textbox'>
      <option>1</option>
      <option>2</option>
      <option>3</option>
      <option>4</option>
      <option>5</option>
      <option>6</option>
      <option>7</option>
      <option>8</option>
      <option>9</option>
      <option>10</option>
    </select></td><td><i>".$locale['NTP_003']."<span style='color:green; font-weight:bold;'>".$ntpsettings['newsmaxitems']."</span>, Default:<span style='color:blue;'> 7 </span>)</i></td></tr>";
*/	

echo "<tr><td align='left'>".$locale['NTP_004']."</td><td>";
echo "<select name='animtype' size='1' class='textbox'>
<option".($ntpsettings['animtype'] == 'fade' ? " selected" : "").">fade</option>
<option".($ntpsettings['animtype'] == 'slide' ? " selected" : "").">slide</option>
</select></td><td><i>".$locale['NTP_005']." (default: <span style='color:blue;'>'slide'</span> )</i></td></tr>";

echo "<tr><td align='left'>".$locale['NTP_006']."</td><td>";
echo "<input type='text' name='animspeed' class='textbox' size='25' value='".$ntpsettings['animspeed']."'></td><td><i>".$locale['NTP_007']." (default: <span style='color:blue;'>'1000'</span> )</i></td></tr>";

echo "<tr><td align='left'>".$locale['NTP_008']."</td><td>";
echo "<input type='text' name='animtimeout' class='textbox' size='25' value='".$ntpsettings['animtimeout']."'></td><td><i>".$locale['NTP_009']." (default: <span style='color:blue;'>'5000'</span> )</i></td></tr>";

echo "<tr><td align='left'>".$locale['NTP_010']."</td><td>";
echo "<select name='animorder' size='1' class='textbox'>
<option".($ntpsettings['animorder'] == 'sequence' ? " selected" : "").">sequence</option>
<option".($ntpsettings['animorder'] == 'random' ? " selected" : "").">random</option>
<option".($ntpsettings['animorder'] == 'random_start' ? " selected" : "").">random_start</option>
</select></td><td><i>".$locale['NTP_011']." (default: <span style='color:blue;'>'sequence'</span> )</i></td></tr>";

echo "<tr><td align='center' colspan='3'><input type='submit' name='save' value='".$locale['NTP_012']."' class='button'>&nbsp;&nbsp;<input type='submit' name='reset' value='".$locale['NTP_015']."' class='button'></td></tr>";
echo "</table></form>";

// your code here
closetable();

require_once BASEDIR."footer.php";
?>